Skip to main content
PUT
Update template detail

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

template id

Body

application/json
name
string
Maximum string length: 128
description
string | null
Maximum string length: 1024
template_type
string
Maximum string length: 64
activity
string | null

example - signup, order-confirmation, order-cancelled, order-refunded, cart-abandoned, etc.

Maximum string length: 128
content_title
string | null

to be used in email subject, notification heading if provided.

Maximum string length: 512
content_type
string
Maximum string length: 64
content
string

Response

OK

message
string
required
success
boolean
required
content
object
required